summaryrefslogtreecommitdiff
path: root/checks/sigs-dsa.test
diff options
context:
space:
mode:
Diffstat (limited to 'checks/sigs-dsa.test')
-rwxr-xr-xchecks/sigs-dsa.test22
1 files changed, 22 insertions, 0 deletions
diff --git a/checks/sigs-dsa.test b/checks/sigs-dsa.test
new file mode 100755
index 0000000..2294cf5
--- /dev/null
+++ b/checks/sigs-dsa.test
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+. $srcdir/defs.inc || exit 3
+
+#info Checking DSA signatures (default digest algo)
+for i in $plain_files $data_files; do
+ $GPG $dsa_keyrings -s -o x --yes -u $dsa_usrname1 $i
+ $GPG $dsa_keyrings -o y --yes x
+ cmp $i y || error "$i: mismatch"
+done
+
+for da in ripemd160 sha1; do
+ for i in $plain_files; do
+ $GPG $dsa_keyrings --digest-algo $da \
+ -s -o x --yes -u $dsa_usrname1 $i
+ $GPG $dsa_keyrings -o y --yes x
+ cmp $i y || error "$i: mismatch"
+ # process only the first one
+ break
+ done
+done
+